#!/usr/bin/perl -w
# 2003/12/16 - I. Dutour

# utilisation : ./affiche.pl kinases_map.txt

my ($file,@resultat);

# Rcupration arguments
die "Manque le(s) argument(s) sur la ligne de commande\n" if (!defined(@ARGV));
($file) = @ARGV;

# Ouverture du fichier contenant le rapport
open (REP, $file) || die (print "cannot open \"$file\": $!\n"); 

# Dbut affichage
print "-----------------------------------------------------------------------------------\n";
print "Gene Symbol\tDate\tCytogenic Location\n";

# Traitement de chaque ligne
while (<REP>) {
    last
	if (/^$/);
    chomp; 
    @resultat=split (/\|/,$_);

    afficher();
}

# Fin d'affichage
print "fin\n"; 
print "-----------------------------------------------------------------------------------\n";

#Fermeture du handle de fichier
close (REP) || die (print "cannot close \"$file\": $!");

###
# Fin du script
###

# Definitions des fonctions

sub afficher {
    print "$resultat[0]\t$resultat[2]\t$resultat[3]\n";
}
